libnvme(2)

NAME
struct nvmf_dim_data - Discovery Information Management (DIM) - Data

SYNOPSIS
struct nvmf_dim_data {
__le32 tdl;
__u8 rsvd4[4];
__le64 nument;
__le16 entfmt;
__le16 etype;
__u8 portlcl;
__u8 rsvd21;
__le16 ektype;
char eid[NVME_NQN_LENGTH];
char ename[NVMF_ENAME_LEN];
char ever[NVMF_EVER_LEN];
__u8 rsvd600[424];
union nvmf_die die[];
};

Members

tdl Total Data Length

rsvd4
    Reserved

nument
    Number of entries

entfmt
    Entry Format (enum nvmf_dim_entfmt)

etype
    Entity Type (enum nvmf_dim_etype)

portlcl
    Port Local

rsvd21
    Reserved

ektype
    Entry Key Type

eid Entity Identifier (e.g. Host NQN)

ename
    Entity Name (e.g. hostname)

ever
    Entity Version (e.g. OS Name/Version)

rsvd600
    Reserved

die Discovery Information Entry (see nument above)